<?
$config = parse_ini_file($_SERVER['DOCUMENT_ROOT'].'/Core/config.ini');
try{
	$db = new PDO("mysql:host=".$config['DBHost'].";dbname=".$config['DBName']."",$config['DBUser'],$config['DBPass']);
	$db->exec("set names utf8");
}
catch(PDOException $e){
	die("Ошибка при подключении к MySQL! Code:".$e->getMessage());
}
session_start() or die('Невозможно инициализировать сессии');
ob_start();
If (!empty($_COOKIE['login']) && !empty($_COOKIE['password'])) {

	$login = $_COOKIE['login']; // Тут ясное дело для зашиты если будете расшифровать и шифровать
	$password = $_COOKIE['password']; // Также
	
	$user = $db->prepare('SELECT * FROM `users` WHERE `password_panel` = ? AND `login_panel` = ? LIMIT 1');
	$user->execute(array($password, $login));
	
	unset($login, $password);  // Освобождаем

	if (!$user = $user->fetch()) {
		unset($_COOKIE['login']);
		unset($_COOKIE['password']);
		session_destroy();
		header("Location: /");
		exit;
	} 
}

function urlencodev2($str){
	$str = str_replace(' ','%20',$str);
	$str = str_replace('*','%2A',$str);
	$str = str_replace('/','%2F',$str);
	$str = str_replace('>','%3E',$str);
	$str = str_replace('&','%26',$str);
	return $str;
}

function encode($var){
	return base64_encode(urlencode($var));
} 
function decode($var){
	return htmlspecialchars(urldecode(base64_decode($var)),ENT_QUOTES,'UTF-8');
} 

function page($k_page=1){
$page=1;
if (isset($_GET['str'])){
if ($_GET['str']=='end')$page=intval($k_page);elseif(is_numeric($_GET['str'])) $page=intval($_GET['str']);}
if ($page<1)$page=1;
if ($page>$k_page)$page=$k_page;
return $page;}

function k_page($k_post=0,$k_p_str=20){
if ($k_post!=0){$v_pages=ceil($k_post/$k_p_str);return $v_pages;}
else return 1;}

function str($url='?',$k_page,$page) { // Пагинация. Выводим страницы
		if ($k_page > 1)
		{
		// Проверяем нужны ли стрелки назад
		if ($page != 1){
			$pervpage = '<span><a href="'.$url.'str=1" class="page"><span><пред</span></a></span>';
		}else{
			$pervpage = '<пред';
		}

		// Проверяем нужны ли стрелки вперед
		if ($page != $k_page){
			$nextpage = '<span><a href="'.$url.'str='.$k_page.'" class="page"><span>след></span></a></span>';
		}else{
			 $nextpage = 'след>';
		}

		// Находим две ближайшие станицы с обоих краев, если они есть
		if($page - 10 > 0) $page10left = '<span><a href="'.$url.'str='.($page - 10).'" class="page"><span> '.($page - 10).'.. </span></a></span>';
		if($page - 1 > 0) $page1left = '<span><a href="'.$url.'str='.($page - 1).'" class="page"><span> '.($page - 1).' </span></a></span>';

		if($page + 10 <= $k_page) $page10right = '<span><a href="'.$url.'str='.($page + 10).'" class="page"><span> ..'.($page + 10).' </span></a></span>';
		if($page + 1 <= $k_page) $page1right = '<span><a href="'.$url.'str='.($page + 1).'" class="page"><span> '.($page + 1).' </span></a></span>';

		$page = '<span class="page-up"><span>'.$page.'</span></span>';

		return $pervpage.'|'.$nextpage.'<br/>Стр:'.$page10left.$page1left.'<b>('.$page.'/'.$k_page.')</b>'.$page1right.$page10right;
		}
	}
	
function dbsize($dbsize){
	$size = abs(intval($dbsize));
	if($size < 1){
		$sz = $size*1000;
		$s = $sz.' Kb';
	}
	if($size >= 1){
		$s = $size.' Mb';
	}
	return $s;
}
?>