-- MySQL dump 10.13  Distrib 5.5.48, for Linux (x86_64)
--
-- Host: localhost    Database: keo
-- ------------------------------------------------------
-- Server version	5.5.48

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `abuses`
--

DROP TABLE IF EXISTS `abuses`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `abuses` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `link` varchar(255) NOT NULL,
  `message` text NOT NULL,
  `time` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `abuses`
--

LOCK TABLES `abuses` WRITE;
/*!40000 ALTER TABLE `abuses` DISABLE KEYS */;
/*!40000 ALTER TABLE `abuses` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cron_tasks`
--

DROP TABLE IF EXISTS `cron_tasks`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cron_tasks` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user` int(11) NOT NULL,
  `url` text NOT NULL,
  `start` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `active` enum('0','1') DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cron_tasks`
--

LOCK TABLES `cron_tasks` WRITE;
/*!40000 ALTER TABLE `cron_tasks` DISABLE KEYS */;
INSERT INTO `cron_tasks` VALUES (1,13,'http://vvv fc',0,1456310942,'1');
/*!40000 ALTER TABLE `cron_tasks` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `domains`
--

DROP TABLE IF EXISTS `domains`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `domains` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user` int(11) NOT NULL,
  `domain` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `domains`
--

LOCK TABLES `domains` WRITE;
/*!40000 ALTER TABLE `domains` DISABLE KEYS */;
/*!40000 ALTER TABLE `domains` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `engines`
--

DROP TABLE IF EXISTS `engines`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `engines` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `zip` varchar(255) NOT NULL,
  `desc` text NOT NULL,
  `install` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `engines`
--

LOCK TABLES `engines` WRITE;
/*!40000 ALTER TABLE `engines` DISABLE KEYS */;
INSERT INTO `engines` VALUES (1,'RotorCMS','rotorcms.zip','RotorCMS - функционально законченная система управления контентом с открытым кодом написанная на PHP. Она использует базу данных MySQL для хранения содержимого вашего сайта.\r\nRotorCMS является гибкой, мощной и интуитивно понятной системой с минимальными требованиями к хостингу, высоким уровнем защиты и является превосходным выбором для построения сайта любой степени сложности\r\nГлавной особенностью RotorCMS является низкая нагрузка на системные ресурсы и высокая скорость работы, даже при очень большой аудитории сайта нагрузка на сервер будет минимальной, и вы не будете испытывать каких-либо проблем с отображением информации.','install'),(2,'JohnCMS','johncms.zip','Описание:\r\nСистема управления сайтом JohnCMS (Content Management System)\r\nПредназначена для построения сайтов, которые будут просматриваться\r\nс мобильных телефонов. Полностью соответствует спецификации\r\nXHTML Mobile Profile и имеет небольшой размер генерируемых страниц.\r\nОсновные возможности системы:\r\n- мультиязычность, возможность устанавливать / удалять языки интерфейса\r\n- высокий уровень безопасности\r\n- быстрая в работе, построена на MySQL\r\n- продвинутая система разграничений прав для админов/модеров\r\n- форум с возможностью закрепления/закрытия тем, созданием голосований,\r\nвозможностью прикрепления файлов в теме и т.д...\r\n- личные Фотоальбомы\r\n- личные Гостевые книги\r\n- продвинутая библиотека с неограниченной вложенностью разделов и\r\nвозможностью для посетителей сайта публиковать свои статьи.\r\nЕсть модерация статей, которые опубликовали посетители.\r\nАвтоматическая компиляция Java книг.\r\n- фотогалерея\r\n- загруз центр с неограниченной вложенностью разделов, счетчиком,\r\nрейтингом и комментариями.\r\n- приват (личная почта) с возможностью прикрепления файлов\r\n- удобная работа со смайлами\r\n- смена стилей\r\n- и многое другое...','install'),(3,'DCMS','dcms.zip','DCMS - это полноценная система управления сайтом.\r\nСписок модулей по-умолчанию:\r\n- Система управления пользователями: регистрация, авторизация, блокировка пользователя и т.д.\r\n- Мини-чат: позволяет общаться с другими пользователями в онлайне или высказать свое мнение осайте.\r\n- Новости: позволяют делать рассылку по email адресам из профиля пользователей.\r\n- Форум: 2-х уровневый форум с возможностью разделения прав на просмотр, создание и редактирование тем, разделов и категорий.\r\n- Многоуровневая система управления файлами: обменник, загруз-центр, хранилище файлов для форума и т.д.\r\nПонимает ID3 теги у большинства популярных форматов, также имеется возможность создания скриншотов к изображениям и видео.\r\n- Автоматическое определение типа браузера пользователя позволяет использовать 3 разновидности тем оформления, адаптированные под WEB, PDA или WAP устройства.\r\n- Использование популярного шаблонизатора Smarty предоставляет дизайнеру широкие возможности по оформлению сайта без вмешательства в код движка. Фактически дизайн ограничен только фантазией.','install'),(4,'Wap-Motor','wap-motor.zip','Представляем новую версию 18.1\r\nЭта версия не добавляет ничего нового,\r\nпросто содержит в себе все 15 апгрейдов для версии 18.0\r\nПолный список исправлений:\r\nИсправлены незначительные ошибки в гостевой, улучшена рассылка писем при добавлении новостей\r\nЗаглушена найденная уязвимость в отсутствии фильтрации глобальных переменных\r\nИсправлен баг, позволяющий многократно отправлять уведомление о добавлении в игнор или контакт-лист \r\nУлучшена функция антидоса, теперь при входе проверяется значение параметра $_SERVER[\"REMOTE_ADDR\"],\r\nесли нет этого IP тогда вход на сайт не возможен\r\nИсправлена ошибка в мини-чате, при включенном боте недостаточно фильтруются данные,\r\nа также в просмотре архивов, с помощью подделки запросов и если знать имя архива с бэкапом данных,\r\nможно просмотреть этот архив Исправлена ошибка в доске объявлений,\r\nпри определенном запросе можно было создать несуществующую рубрику,\r\nисправлена ошибка в мини-чате переменная imja недостаточно фильтровалось,\r\nтакже не провералясь переменная mssg при включенном боте\r\nИсправлены ошибки не установленных переменных в файлах библиотеки,\r\nзагруз-центра и форума\r\nИсправлена ошибка в файле отписки от рассыли, при определенном запросе можно было отписать от рассылки другого пользователя\r\nИсправлена ошибка в галерее, недостаточно проверялось имя файла, в галерее и загруз-центре улучшенная проверка входящих данных,\r\nтакже сделано чтобы по умолчанию файлы в загрузках сортировались по имени\r\nИсправлена ошибка в файле просмотра изображений находящихся в галерее\r\nУлучшена защита в файлах перевода денег и изменении профиля.\r\nУлучшена защита в файле отправки приватных сообщенийУлучшена защита в файле вывода аватаров,\r\nа также предыдущее исправление файла галереи переведено в кодировку UTF-8, у некоторых это вызывало ошибку при показе картинки.','install.php'),(5,'MobileCMS_2_4','mobilecms.zip','MobileCMS - мощный и легкий движок созданный специально для разработки мобильных сайтов.\r\nMC (так мы кратко называем наш движок) основан на популярном HMVC фреймворке Kohana и вобрал в себя все его достоинства.\r\nКредо движка - чистота кода и удобство разработки.\r\nMobileCMS - универсальная система и подходит как для самых простых мобильных сайтов, так и для полнофункциональных социальных сетей,\r\nориентированных на мобильные устройства. \r\nДвижок отлично расширяемый благодаря своей иерархической структуре и каскадной файловой системе Kohana.\r\nПри этом MobileCMS достаточно быстрый и легко справляется с высокими нагрузками (в переводе с языка Сиу Kohana означает \"быстрый\"). \r\nПри разработке проектов на MC используется система управления версиями git.','install');
/*!40000 ALTER TABLE `engines` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ftp_users`
--

DROP TABLE IF EXISTS `ftp_users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ftp_users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user` int(11) NOT NULL,
  `login` varchar(255) NOT NULL,
  `password` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=21 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ftp_users`
--

LOCK TABLES `ftp_users` WRITE;
/*!40000 ALTER TABLE `ftp_users` DISABLE KEYS */;
INSERT INTO `ftp_users` VALUES (2,2,'System','1234qw'),(3,3,'kisheris','misha123'),(4,4,'Dedicated','111111'),(5,5,'kishersis','misha123'),(6,6,'kisher2','misha123'),(7,7,'simka','333333'),(8,7,'a180125776','333333'),(9,8,'tester','111111'),(10,9,'auxgame','911400sad'),(11,10,'aser','qwerty'),(12,11,'cara','chateg'),(13,12,'troll','qwerty'),(14,13,'bymasik','bymasik'),(15,14,'LuxoriouS','aaaaaa'),(16,15,'gfdghf','111111'),(17,16,'support','zxczxc1'),(18,17,'sesten','1234qw'),(19,18,'exess','qwerty'),(20,19,'ABBA','111111');
/*!40000 ALTER TABLE `ftp_users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `maildomains`
--

DROP TABLE IF EXISTS `maildomains`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `maildomains` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user` int(11) NOT NULL,
  `domain` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `maildomains`
--

LOCK TABLES `maildomains` WRITE;
/*!40000 ALTER TABLE `maildomains` DISABLE KEYS */;
/*!40000 ALTER TABLE `maildomains` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mails`
--

DROP TABLE IF EXISTS `mails`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `mails` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user` int(11) NOT NULL,
  `domain` text NOT NULL,
  `name` text NOT NULL,
  `password` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `mails`
--

LOCK TABLES `mails` WRITE;
/*!40000 ALTER TABLE `mails` DISABLE KEYS */;
/*!40000 ALTER TABLE `mails` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mysql_base`
--

DROP TABLE IF EXISTS `mysql_base`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `mysql_base` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user` int(11) NOT NULL,
  `login` varchar(255) NOT NULL,
  `password` varchar(255) NOT NULL,
  `dbname` varchar(255) NOT NULL,
  `comment` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `mysql_base`
--

LOCK TABLES `mysql_base` WRITE;
/*!40000 ALTER TABLE `mysql_base` DISABLE KEYS */;
INSERT INTO `mysql_base` VALUES (1,13,'db143665231','http://hostbiter.ru/explode?dir=d3d3JTJGYnltYXNpay5ob3N0Yml0ZXIucnU=','db143665231','http://hostbiter.ru/explode?dir=d3d3JTJGYnltYXNpay5ob3N0Yml0ZXIucnU=');
/*!40000 ALTER TABLE `mysql_base` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `news`
--

DROP TABLE IF EXISTS `news`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `news` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `text` text NOT NULL,
  `time` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `news`
--

LOCK TABLES `news` WRITE;
/*!40000 ALTER TABLE `news` DISABLE KEYS */;
/*!40000 ALTER TABLE `news` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `reklama`
--

DROP TABLE IF EXISTS `reklama`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `reklama` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `url` varchar(50) NOT NULL,
  `time` int(11) NOT NULL,
  `user` int(11) NOT NULL,
  `clicks` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `reklama`
--

LOCK TABLES `reklama` WRITE;
/*!40000 ALTER TABLE `reklama` DISABLE KEYS */;
/*!40000 ALTER TABLE `reklama` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `servers`
--

DROP TABLE IF EXISTS `servers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `servers` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `model` varchar(255) NOT NULL,
  `cpu` varchar(255) DEFAULT NULL,
  `frequency` varchar(255) DEFAULT NULL,
  `ram` varchar(255) DEFAULT NULL,
  `ramtype` varchar(255) DEFAULT NULL,
  `disctype` varchar(255) DEFAULT NULL,
  `canal` varchar(255) DEFAULT NULL,
  `country` varchar(255) DEFAULT NULL,
  `uptimeurl` varchar(255) DEFAULT NULL,
  `uptimeimg` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `servers`
--

LOCK TABLES `servers` WRITE;
/*!40000 ALTER TABLE `servers` DISABLE KEYS */;
/*!40000 ALTER TABLE `servers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `subdomains`
--

DROP TABLE IF EXISTS `subdomains`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `subdomains` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user` int(11) NOT NULL,
  `domain` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `subdomains`
--

LOCK TABLES `subdomains` WRITE;
/*!40000 ALTER TABLE `subdomains` DISABLE KEYS */;
INSERT INTO `subdomains` VALUES (1,9,'m.auxgame.hostbiter.ru');
/*!40000 ALTER TABLE `subdomains` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tarifs`
--

DROP TABLE IF EXISTS `tarifs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tarifs` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `cost` float NOT NULL,
  `mails` int(11) NOT NULL,
  `subdomains` int(11) NOT NULL,
  `domains` int(11) NOT NULL,
  `db` int(11) NOT NULL,
  `hdd` int(11) NOT NULL,
  `ftps` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tarifs`
--

LOCK TABLES `tarifs` WRITE;
/*!40000 ALTER TABLE `tarifs` DISABLE KEYS */;
INSERT INTO `tarifs` VALUES (1,'HDD-1',2.33,10,5,5,10,2000,10),(2,'HDD-2',2.66,25,15,15,25,3000,25),(3,'HDD-3',3.33,50,30,30,50,5000,50),(4,'HDD-4',5,100,30,30,100,10000,100),(5,'HDD-5',7,100,30,30,100,15000,100),(6,'HDD-10',10,1,1,1,1,111111,1);
/*!40000 ALTER TABLE `tarifs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ticket_message`
--

DROP TABLE IF EXISTS `ticket_message`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ticket_message` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user` int(11) NOT NULL,
  `ticket` int(11) NOT NULL,
  `message` text NOT NULL,
  `status` enum('read','notread') NOT NULL,
  `time` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ticket_message`
--

LOCK TABLES `ticket_message` WRITE;
/*!40000 ALTER TABLE `ticket_message` DISABLE KEYS */;
INSERT INTO `ticket_message` VALUES (1,6,1,'testt','notread',1455561886);
/*!40000 ALTER TABLE `ticket_message` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tickets`
--

DROP TABLE IF EXISTS `tickets`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tickets` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user` int(11) NOT NULL,
  `status` enum('open','close') NOT NULL DEFAULT 'open',
  `name` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tickets`
--

LOCK TABLES `tickets` WRITE;
/*!40000 ALTER TABLE `tickets` DISABLE KEYS */;
INSERT INTO `tickets` VALUES (1,6,'open','test');
/*!40000 ALTER TABLE `tickets` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `users`
--

DROP TABLE IF EXISTS `users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `login` varchar(255) NOT NULL,
  `password` text NOT NULL,
  `balance` float NOT NULL DEFAULT '0',
  `tarif` int(11) NOT NULL,
  `email` varchar(255) NOT NULL,
  `sex` enum('0','1') NOT NULL,
  `disc` int(11) NOT NULL DEFAULT '0',
  `mails` int(11) NOT NULL DEFAULT '0',
  `subdomains` int(11) NOT NULL DEFAULT '0',
  `domain` varchar(255) NOT NULL,
  `ip` varchar(255) NOT NULL,
  `ftps` int(11) NOT NULL DEFAULT '0',
  `domains` int(11) NOT NULL DEFAULT '0',
  `wwwdomains` int(11) NOT NULL DEFAULT '0',
  `maildomains` int(11) NOT NULL DEFAULT '0',
  `bases` int(11) NOT NULL DEFAULT '0',
  `baseusers` int(11) NOT NULL DEFAULT '0',
  `bandwidth` int(11) NOT NULL DEFAULT '0',
  `activate` enum('0','1') NOT NULL DEFAULT '0',
  `online` int(11) NOT NULL DEFAULT '0',
  `admin` enum('0','1','2') NOT NULL DEFAULT '0',
  `login_panel` varchar(255) NOT NULL,
  `password_panel` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=20 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `users`
--

LOCK TABLES `users` WRITE;
/*!40000 ALTER TABLE `users` DISABLE KEYS */;
INSERT INTO `users` VALUES (1,'Dedicated','MTExMTEx',1000,1,'master_site87@mail.ru','1',0,0,0,'','',0,0,0,0,0,0,0,'1',1459384300,'2','Dedicated','MTExMTEx'),(2,'system','MTIzNHF3',0,1,'system@klubwm.ru','0',0,0,0,'','',1,0,0,0,0,0,0,'0',1457961748,'0','System','MTIzNHF3'),(3,'kisheris','bWlzaGExMjM=',0,1,'kisher730@gmail.com','0',0,0,0,'','',1,0,0,0,0,0,0,'0',1455558330,'0','kisheris','bWlzaGExMjM='),(5,'kishersis','bWlzaGExMjM=',0,1,'kisahdahsd@YASDJASD.RUS','0',0,0,0,'','',1,0,0,0,0,0,0,'0',1455559542,'0','kishersis','bWlzaGExMjM='),(6,'kisher2','bWlzaGExMjM=',0,1,'kisher730@gmail.com123','0',0,0,0,'','',1,0,0,0,0,0,0,'0',1456229780,'0','kisher2','bWlzaGExMjM='),(7,'simka','MzMzMzMz',0,1,'12@mail.ru','0',0,0,0,'','',2,0,0,0,0,0,0,'0',1455589705,'0','simka','MzMzMzMz'),(8,'tester','MTExMTEx',0,1,'gfff@cccc.ru','0',0,0,0,'','',1,0,0,0,0,0,0,'0',1455728128,'0','tester','MTExMTEx'),(9,'auxgame','OTExNDAwc2Fk',0,1,'keosubyte@bk.ru','0',0,0,1,'','',1,0,0,0,0,0,0,'0',1457193241,'0','auxgame','OTExNDAwc2Fk'),(10,'aser','cXdlcnR5',0,5,'mheroe@mail.ru','0',0,0,0,'','',1,0,0,0,0,0,0,'0',1456217356,'0','aser','cXdlcnR5'),(11,'cara','Y2hhdGVn',0,1,'hh@hj.ru','0',0,0,0,'','',1,0,0,0,0,0,0,'0',1456222689,'0','cara','Y2hhdGVn'),(12,'troll','cXdlcnR5',0,1,'beg@mail.ru','0',0,0,0,'','',1,0,0,0,0,0,0,'0',1456218960,'0','troll','cXdlcnR5'),(13,'bymasik','YnltYXNpaw==',0,1,'ggf@ya.gh','0',0,0,0,'','',1,0,0,0,1,0,0,'0',1456311065,'0','bymasik','YnltYXNpaw=='),(14,'LuxoriouS','YWFhYWFh',0,1,'89507128758@mail.ru','0',0,0,0,'','',1,0,0,0,0,0,0,'0',1456221405,'0','LuxoriouS','YWFhYWFh'),(15,'gfdghf','MTExMTEx',0,1,'hkhjuk@fgh.jj','0',0,0,0,'','',1,0,0,0,0,0,0,'0',1457209232,'0','gfdghf','MTExMTEx'),(16,'support','enhjenhjMQ==',0,6,'zxc@mail.ru','0',0,0,0,'','',1,0,0,0,0,0,0,'0',1457276269,'0','support','enhjenhjMQ=='),(17,'sesten','MTIzNHF3',0,1,'ses@kem.ru','0',0,0,0,'','',1,0,0,0,0,0,0,'0',1457993019,'0','sesten','MTIzNHF3'),(18,'exess','cXdlcnR5',0,0,'mft@hh.ru','0',0,0,0,'','',1,0,0,0,0,0,0,'0',1459076535,'0','exess','cXdlcnR5'),(19,'ABBA','MTExMTEx',20900,5,'iugff@gg.nl','0',0,0,0,'','',1,0,0,0,0,0,0,'1',1459530490,'2','ABBA','MTExMTEx');
/*!40000 ALTER TABLE `users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wiki`
--

DROP TABLE IF EXISTS `wiki`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wiki` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `text` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wiki`
--

LOCK TABLES `wiki` WRITE;
/*!40000 ALTER TABLE `wiki` DISABLE KEYS */;
INSERT INTO `wiki` VALUES (1,'Способ оплаты, WebMoney.Check','\r\nЧто такое вебмани чек?\r\n-- Это простой, удобный и дешёвый способ оплачивать любые покупки в сети Интернет не имея своего WM-кошелька! \r\nНа самом деле, WebMoney.Check у вас уже есть! И это — ваш мобильный телефон а точнее ваш номер телефона!\r\n-----------\r\nВ чем отличие WebMoney чека от обычной отправки платных смс сообщений?\r\n\r\n1) Комиссия системы WebMoney всего 0.8% от суммы платежа.\r\nУ обычных смс платежей комиссия не менее 45% а бывает и 60  \r\nК примеру пополнение баланса хостинга с помощью вебмани-чека на сумму 100 руб, комиссия составит всего 0.80 руб - 80 копеек.\r\nА при смс пополнении на 100 руб, комиссия составит 50 руб. В итоге вы получаете на баланс аккаунта всего 50 руб.\r\n-----------\r\n2) Не каждый сайт поддерживает смс платежи, а вебмани чек есть на всех сайтах которые поддерживают прием WebMoney платежей.\r\n-----------\r\n3) У смс платежей есть куча недостатков, такие как МТ-тарификация для абонентов с Киевстара и Life, задержки с платежами, недоступности и тп. В итоге пользователь ждет ручной обработки платежа через Тикеты по несколько часов.\r\n-----------\r\nЗачем платить больше - если нет разницы?\r\n-----------\r\nВидео урок WebMoney.Check \r\nПополнение и Оплата с помощью WebMoney Check \r\nЛичный кабинет WebMoney.Check'),(2,'Неуплата Хостинга','Что будет если я не буду оплачивать хостинг?\r\n------------\r\n1) Если на вашем счете не хватает денежных средств для списания с баланса за текущие сутки. То работа ваших сайтов приостанавливается.\r\n------------\r\n2) Если в течении 14 календарных дней баланс не будет пополнен, то аккаунт с сервера будет удален автоматически. Без предварительного уведомления и возможности восстановления данных.'),(3,'Схемы ускорения веб-сайта','Представим ситуацию — клиент хочет, чтобы его сайт (который 3 года назад написал студент-самоучка) работал быстрее. Вариант написания сайта с нуля заказчика не устраивает по каким-то причинам: нет денег, времени, понимания, что корявое навсегда останется корявым. Задача — поставить сайт на подпорки в кратчайшие сроки. Предлагаю несколько вариантов решения проблемы. Конкретных технических решений не будет, тут все зависит от того, в каком состоянии получили сайт и его бизнес-логики.\r\nВариант 1 — «Быстро и дешево»\r\n1. Анализируем сайт в целом, если PHP обрабатывает довольно большие объемы данных — то немного ровняем код: используем короткие имена переменных, оптимальные проходы по циклам, обходы многомерных массивов. В случае когда все циклы и массивы не содержат больше 20-30 элементов этот этап можно пропустить.\r\n2. Оптимизируем запросы к MySQL. Минимизируем их количество, проверяем индексацию с помощью EXPLAIN, ищем относительно медленные запросы и делаем их быстрее. Если нужно — можно добавить некоторые столбцы с вычисляемыми данными в таблицы БД, это может сократить количество лишних запросов. Ну а стопроцентная нормализация не так уж и нужна.\r\n3. Внедряем AJAX там где это действительно нужно — всевозможные голосовалки, отправка комментов, подгрузка небольших блоков с данными, отправка данных от пользователя. Это уменьшит количество запросов на генерацию страницы и к БД. Да и пользователю сэкономит время и трафик.\r\n4. Настраиваем кеширование Smarty(или его аналога) на статических страницах. Конечно если Smarty вообще есть.\r\nВ результате за 2-3 дня можно снизить нагрузку в 3-4 раза.\r\nИсточник: habrahabr.ru/post/134926/'),(4,'Принцип работы DNS','Работа DNS достаточно проста, но из-за незнания её основ возникает основная масса проблем и вопросов при переносе существующего доменного имени и регистрации нового. \r\nОстановимся немного подробней на описании самой схемы. \r\nКогда пользователь запускает веб-браузер в вводит название домена сайта, его ПК отправляет запрос к DNS-серверу интернет-провайдера для получения IP-адреса, на котором находится домен (1). \r\nЕсли DNS-серверы провайдера не обнаруживают в своем кэше информации о запрашиваемом сайте, то отправляют запрос на корневые DNS-серверы (2). \r\nКорневой DNS-сервер ищет в своей базе данных информацию о серверах имен хостинг-провайдера, на которых присутствует этот сайт. Далее, он сообщает их кэширующему DNS-серверу провайдера (3). \r\nПосле того, как кэширующий DNS-сервер интернет-провайдера получает информацию о серверах имен хостинг-провайдера он опрашивает любой из них (4) и, в случае получения положительного результата получения IP-адреса (5), помещает в кэш. Кэширование используется для того, чтобы снизить как нагрузку на интернет-каналы, так и для ускорения получения результата запроса. \r\nПосле этого DNS-сервер провайдера передает IP-адрес браузеру пользователя, совершившему запрос сайта (6). \r\nИ уже после этого браузер, получив IP-адрес запрашиваемого сайта, переходит на сам сайт (7 и 8). \r\nВажно, что обновление информации о сервера имен провайдера происходит не мгновенно, а через некоторое определенное (для каждого DNS-сервера, в зависимости от настроек и провайдера данные значения могут варьироваться) время. \r\nТак же если кто-либо из пользователей вашего интернет-провайдера заходил на сайт и после этого сайт изменил IP-адрес или сервера имен, то в базе данных кеширующего DNS-сервера провайдера останется старая информация до тех пор, пока кеш не обновится. И до этого момента при запросе сайта будет предоставляться устаревшая информация о месторасположении (IP-адрес). Хотя пользователям с других провайдеров сайт может открываться уже с нового IP-адреса. \r\nВ основном если у вас возникла вышеописанная ситуация, то волноваться не стоит. Следует подождать некоторое время для обновления информации на корневых DNS-серверах и DNS-серверах провайдера.'),(5,'Обновление DNS','После того как вы припарковали новый домен у нас,\r\nВам нужно подождать, пока изменения вступят в силу и Ваш сайт будет открываться.\r\nЭто может занять до 72 часов (зависит от Вашего интернет-провайдера, у нас же нужные записи\r\nдобавляются\r\nсразу, так как многие думают что DNS обновляют хостинг, от части это так, только на хостингах нужные записи добавляются мгновенно, ваш же провайдер интернет обновляет это не сразу, а по истечению времени).'),(6,'Написание граббера на php','Грабберами в народе называют серверные скрипты, предназначенные для получения данных с различных серверов и встраивания их в свои страницы. В инете есть куча примеров RSS-грабберов, извлекающих тексты с новостных лент, но мне лично нужен не какой-то RSS, которым я ни разу в жизни не пользовался, а полноценный скрипт, который легко настроить для извлечения любой нужной мне информации с любой из доступных в сети страниц.\r\nТак что эта небольшая статья - как раз пример написания граббера на языке PHP. \r\nЗадача состоит, собственно, из 3 этапов.\r\n1. Получение данных с нужного нам URL\r\nДля этого в PHP существует несколько возможностей: \r\nСтандартная функция fopen, служащая для открытия файла \r\nПрименять ее не очень удобно, так как нельзя контролировать время соединения, получать ответы ошибок сервера и т.д. Кроме того, она может быть запрещена на хостинге через http. Тем не менее, вот пример откуда-то. Здесь мы парсим выдачу популярного сайта bash.org:\r\n<? \r\n$url=\"http://www.bash.org.ru/best\"; \r\n$file = @fopen ($url, \"r\");\r\nif ($file==false) print \"<p>Не могу открыть сайт \".$url.\"!\";\r\nelse {\r\n$contents = fread ($file, 100000);\r\n$contents = preg_match_all(\"|<div>(.+)</div>|U\",$contents,$frazes); \r\nfor($i=0;$i<5;$i++){ \r\nif ($i<>5) echo \"<hr>\".$frazes[1][$i].\"\r\n<hr>\"; \r\n} \r\nfclose ($file);\r\n}\r\n?>\r\nПопулярный вариант этого же подхода еще проще -\r\n<? \r\n$file = file_get_contents(\"http://www.bash.org.ru/best\"); \r\n$file = preg_match_all(\"|<div>(.+)</div>|U\",$file,$frazes); \r\nfor($i=0;$i<11;$i++){ \r\nif ($i<>5) echo \"<hr>\".$frazes[1][$i].\"\r\n<hr>\"; \r\n} \r\n?>\r\nили же \r\n$str=file_get_contents(\"http://google.com/\"); \r\n(по сути, file_get_contents - это fopen, fread, fclose одной командой)'),(7,'Как залить таблицу','Таблици можно залить 3-я способами, через phpmyadmin, через файловый менеджер,либо SQL запросом.\r\nЧто бы залить через файловый менеджер, таблици должны быть в формате *.sql,\r\nдалее, при нажатии на эту таблицу, вы можете действовать подсказкам системы.\r\nСпособ через phpmyadmin, авторизируетесь в базе данных, заходите в базу данных, сверху будет сылка \"Экспортировать\" также нажимаете и следуете подсказкам.\r\nИ последний 3-й способ, также авторизируемся в базе, нажимаем на базу, потом нажимаем \"SQL Запрос\" вставляем нашу скопированную таблицу из буфера компьютера или телефона и нажимаем \"Запрос\"'),(8,'Как установить скрипт?','Первым делом необходимо скачать скрипт.\r\nПосле того как файл скачан (а чаще всего это ZIP-архив), нужно его распаковать. Для этого нажмите в Файловом менеждере на архив, затем, в меню выберите пункт \"распаковать\". ВАЖНО: все Ваши скрипты должны лежать в папке public_hml, \r\nВ комплекте с архивом зачастую идет файл readme.txt (или readme.html), в нем находятся инструкции по установке и настройке скрипта от его создателей. Следуйте им. Если Вы не можете прочитать данный файл из-за неверной кодировки, попробуйте сконвертировать ее, выбрав в Файловом Менеджере пункт изменить кодировку (в меню файла).'),(9,'Что такое PHP?','PHP - это широко распространённый Открытый ресурс - язык скриптинга, который создан специально для Web и Wap и который можно внедрять в HTML, WML и другие языки разметки. Наилучшим качеством PHP является то, что он предельно прост для новичка в программировании. Чтобы написать скрипт, Вам необходимо создать файл с расширением .php, открыть его любым текстовым редактором и обозначить открытие и закрытие скрипта знаками <? и ?> соответственно. Все записи внутри этих тегов будут обработаны как PHP-код. Самый простой пример PHP-скрипта:\r\n\r\n<?\r\necho(\"Привет мир!\");\r\n?>\r\n\r\nНапример, с помощью PHP можно написать скрипт, который будет выводить ссылки на все файлы из заданной папки, это позволяет добавлять контент в папку без изменения страницы. Так же с помощью PHP можно написать регистрацию, пользователь вводит свой логин и пароль и далее по сайту ему доступны страницы, которые недоступны неавторизованным пользователям. Это лишь малая часть возможностей PHP. Пример скриптов, различную документацию, синтаксис и прочее можно найти на сайте php.su'),(10,'Описание редактора','Описание редактора.\r\nЭтот сервис предназначен для редактирования любых файлов на Вашем сайте. Онлайн редактор (далее блокнот), открывает файл в виде строк так, как он представлен на сервере. Если в файле много строк, блокнот разобьёт вывод на страницы. Количество строк на странице можно изменить в аккаунте в разделе \"Настройки\". Каждая строка является ссылкой, при нажатии на которую, открывается содержимое строки. Так же можно добавлять и удалять строки нажатием ссылок | и X соответственно.'),(11,'mp3 редактор','В файловый менеджер встроен mp3 редактор тегов');
/*!40000 ALTER TABLE `wiki` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `worldkassa`
--

DROP TABLE IF EXISTS `worldkassa`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `worldkassa` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT COMMENT 'ID платежа (Внутренний ID)',
  `id_user` int(11) unsigned NOT NULL COMMENT 'ID пользователя',
  `id_bill` int(11) unsigned NOT NULL COMMENT 'ID платежа в Worldkassa',
  `time` int(11) unsigned NOT NULL COMMENT 'Время инициализации платежа',
  `time_oplata` int(11) unsigned DEFAULT '0' COMMENT 'Время оплаты',
  `summa` decimal(11,2) NOT NULL DEFAULT '0.00' COMMENT 'Сумма',
  `activate` enum('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Статистика платежей через WorldKassa';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `worldkassa`
--

LOCK TABLES `worldkassa` WRITE;
/*!40000 ALTER TABLE `worldkassa` DISABLE KEYS */;
/*!40000 ALTER TABLE `worldkassa` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2016-04-03 12:50:35
